From 72afba25f64047475dce590607a71f42da363233 Mon Sep 17 00:00:00 2001
From: Colin Watson <cjwatson@debian.org>
Date: Tue, 14 Jan 2014 10:34:05 +0000
Subject: Create ~/.browser-history with mode 700 - umask, not mode 777 - umask

Patch-Name: permissions.patch
---
 browser-history.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/browser-history.c b/browser-history.c
index feac023..8ebe4c9 100644
--- a/browser-history.c
+++ b/browser-history.c
@@ -537,7 +537,7 @@ init_excludefile()
     if (!fd) {			/* cannot open? try to make dir */
 	char logdir[1024];
 	sprintf(logdir, "%s/%s", homedir, logreldir);
-	mkdir(logdir, 0777);
+	mkdir(logdir, 0700);
 	fd = fopen(excludefilepath, "a"); /* retry now */
     }
     if (fd && ftell(fd) == 0) {		/* exclude file is empty, fill it */
